Create Provider Group
curl --request POST \
--url https://app.silnahealth.com/api/public/v1/provider-groups/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"npi": "1234567890",
"tin": "123456789",
"provider_id": null,
"mso_id": null,
"ptan": null,
"primary_taxonomy_code": null,
"is_default": false
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/provider-groups/"
payload = {
"name": "<string>",
"npi": "1234567890",
"tin": "123456789",
"provider_id": None,
"mso_id": None,
"ptan": None,
"primary_taxonomy_code": None,
"is_default": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
npi: '1234567890',
tin: '123456789',
provider_id: null,
mso_id: null,
ptan: null,
primary_taxonomy_code: null,
is_default: false
})
};
fetch('https://app.silnahealth.com/api/public/v1/provider-groups/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Provider Groups
Create Provider Group
POST
/
public
/
v1
/
provider-groups
/
Create Provider Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Group name
Maximum string length:
255National Provider Identifier
Required string length:
10Pattern:
^[0-9]{10}$Example:
"1234567890"
Tax Identification Number
Required string length:
9Pattern:
^[0-9]{9}$Example:
"123456789"
The provider's Silna identifier
The MSO's Silna identifier
Provider Transaction Access Number
Maximum string length:
255Primary taxonomy code
Maximum string length:
255Whether this is the default group
Response
The newly created provider group's Silna identifier
⌘I